# 合同服务拆解分析2
## 一、功能描述

## **二、代码运行截图**
![输入图片说明](/imgs/2024-02-26/6um5BRZTnvZVoAJG.png)
![输入图片说明](/imgs/2024-02-26/6jKSb6yTAQ0tbV7l.png)
## **三、核心接口说明**
<table >
	<tbody>
		<tr>
			<td width="10px;">类地址</td>
			<td >类名</td>
			<td >类说明</td>
			<td >请求方式</td>
			<td >方法地址</td>
			<td >方法名</td>
			<td >方法说明</td>
		</tr>
		<tr>
			<td rowspan="13" >/api/contract</td>
			<td rowspan="13" >ContractRest</td>
			<td rowspan="13" ></td>
			<td >POST</td>
			<td >/archived</td>
			<td >archivedContract</td>
			<td >合同归档</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/backtoprev</td>
			<td >backtoprev</td>
			<td >退回上一步</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/saveContractFrame</td>
			<td >saveContractFrame</td>
			<td >提交合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/section</td>
			<td >section</td>
			<td >暂存合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateById</td>
			<td >updateById</td>
			<td >修改合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/deletecontract</td>
			<td >deletecontract</td>
			<td >删除暂存合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getContract/{conCode}</td>
			<td >getContract</td>
			<td >查询合同详情</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/listcontract</td>
			<td >listcontract</td>
			<td >查询合同列表（PC高级查询）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/listcontract4Mobile</td>
			<td >listcontract4Mobile</td>
			<td >查询合同列表（APP）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/electronicContract</td>
			<td >electronicContract</td>
			<td >生成电子合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/contractExp</td>
			<td >contractExp</td>
			<td >合同导出</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/print/{conType}/td>
			<td >print</td>
			<td >合同打印</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/serveFlowSubmit</td>
			<td >serveFlowSubmit</td>
			<td >服务审批流程</td>
		</tr>
		<tr>
			<td rowspan="14" >/api/contractOther</td>
			<td rowspan="14" >ContractetOtherController</td>
			<td rowspan="14" >其他合同相关</td>
			<td >POST</td>
			<td >/archive</td>
			<td >archive</td>
			<td >其他合同归档</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/backtoprev</td>
			<td >backtoprev</td>
			<td >退回上一步</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/closeContractOther</td>
			<td >closeContractOther</td>
			<td >关闭其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/contractOtherApprove</td>
			<td >contractOtherApprove</td>
			<td >保存其他合同并发起流程</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/delete/{id}</td>
			<td >delete</td>
			<td >根据id删除其他合同</td>
		</tr>
			<td >POST</td>
			<td >/fillStamp</td>
			<td >fillStamp</td>
			<td >其他合同补盖章</tdlta</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/get/{id}</td>
			<td >get</td>
			<td >根据id获取其他合同详情</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getByCode</td>
			<td >getByCode</td>
			<td >根据合同编号其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getSealcodeList</td>
			<td >getSealcodeList</td>
			<td >获取盖章列表</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/pageList</td>
			<td >pageList</td>
			<td >条件查询其他合同列表数据（PC）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/pageListMobile</td>
			<td >pageListMobile</td>
			<td >条件查询其他合同列表数据（APP）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/section</td>
			<td >section</td>
			<td >暂存其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateById</td>
			<td >updateById</td>
			<td >根据id修改其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateContentByCode</td>
			<td >updateContentByCode</td>
			<td >根据合同编号修改合同内容</td>
		</tr>
	</tbody>
</table>

## **四****、核心业务流程图**

## **五、数据库**

****主要表截图如下：****

<!--stackedit_data:
eyJoaXN0b3J5IjpbLTY4OTY2MjI1MiwyMTM3MzkxNzcwLC0xNz
gyODM3NDYyLDE3MTY5MDAwMTYsNjk2MjM0NDY0LDE0NDc5NTUw
MzEsNDIyMTQyNTAsMTQ0OTEyMzA4NywtNzY3NTkwNDE4LC0xMT
g0NDc5NTM5LDU5MDI4NDY1NSwtMTQ0NzY4NzgxLDE5MDQyNDk4
NDEsMTQ4MDIxMDc2MCwxOTYzMzA3OSwxMzcyODI0MTA3LC0xND
YxMjAxNjg5LC0xMzgzOTg4OTY5LC0yMDAxOTIzNzEsMTg3NDA0
ODMwOF19
-->